summaryrefslogtreecommitdiffstats
path: root/business
diff options
context:
space:
mode:
author Stansoft <info@stansoft.org>2016-07-26 22:47:44 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 06:03:41 +0700
commit645f171659f1890ea1b2a51fad2c5b0eddafbd45 (patch)
tree6c63ecc8fd13db1aa2f8c7f0d3688a11a654cd90 /business
parent7e7afbfcb3fcf7bda74e6e855601740787ce4e03 (diff)
downloadslackbuilds-645f171659f1890ea1b2a51fad2c5b0eddafbd45.tar.gz
slackbuilds-645f171659f1890ea1b2a51fad2c5b0eddafbd45.tar.xz
business/stansoft: Added (Linux Financial Accounting).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'business')
-rw-r--r--business/stansoft/README26
-rw-r--r--business/stansoft/slack-desc19
-rw-r--r--business/stansoft/stansoft.SlackBuild95
-rw-r--r--business/stansoft/stansoft.info10
4 files changed, 150 insertions, 0 deletions
diff --git a/business/stansoft/README b/business/stansoft/README
new file mode 100644
index 0000000000..628331ea2f
--- /dev/null
+++ b/business/stansoft/README
@@ -0,0 +1,26 @@
+Stansoft is Linux financial accounting software for business. It uses a
+PostgreSQL database, which is included. You can optionally use an IBM
+Informix Innovator-C database, which can be downloaded free of charge from
+IBM. There is no limit on the number of users per installation, which
+allows for scalability from small to large companies. The user interface
+is ncurses / terminal based to optimize data entry efficiency. It can be
+run locally or deployed remotely on a virtual private server (VPS) in the
+cloud.
+
+You must have a stansoft user and group to run this script:
+# groupadd -g 325 stansoft
+# useradd -u 325 -g 325 -c \"Stansoft user\" -s /bin/bash stansoft
+
+If you wish to use IBM Informix, please add informix user and group as well
+# groupadd -g 326 informix
+# useradd -u 326 -g 326 -c \"Informix user\" -s /bin/bash informix
+
+NOTES:
+1) After installing the Slackbuild you must run the Stansoft installation
+ script /opt/stansoft/install
+
+2) Installation and setup help can be found in /opt/stansoft/README and
+ the manual is located at /opt/stansoft/doc/ssmanual.pdf
+
+3) stansoft and informix are the database administrator account, so please
+ set a strong password for it.
diff --git a/business/stansoft/slack-desc b/business/stansoft/slack-desc
new file mode 100644
index 0000000000..1594f8f446
--- /dev/null
+++ b/business/stansoft/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+stansoft: stansoft (Linux Financial Accounting)
+stansoft:
+stansoft: Stansoft is Linux financial accounting software for business.
+stansoft: There is no limit on the number of users per installation, which
+stansoft: allows for scalability from small to large companies.
+stansoft: The user interface is ncurses / terminal based to optimize data entry
+stansoft: efficiency. It can be run locally or deployed remotely on a virtual
+stansoft: private server (VPS) in the cloud.
+stansoft:
+stansoft: After installing the Slackbuild you must run the Stansoft
+stansoft: installation script /opt/stansoft/install
diff --git a/business/stansoft/stansoft.SlackBuild b/business/stansoft/stansoft.SlackBuild
new file mode 100644
index 0000000000..37c73b295b
--- /dev/null
+++ b/business/stansoft/stansoft.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for stansoft
+
+# Copyright 2016 Chad D. Lemmen, Grand Rapids, MI, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=stansoft
+VERSION=${VERSION:-v7.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+STANSOFT_USER=${STANSOFT_USER:-stansoft}
+STANSOFT_UID=${STANSOFT_UID:-325}
+STANSOFT_GROUP=${STANSOFT_GROUP:-stansoft}
+STANSOFT_GID=${STANSOFT_GID:-325}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+bailout() {
+ echo " You must have a $STANSOFT_USER user and $STANSOFT_GROUP group to run this script. "
+ echo " # groupadd -g $STANSOFT_GID $STANSOFT_GROUP "
+ echo " # useradd -u $STANSOFT_UID -g $STANSOFT_GID -c \"Stansoft user\" -s /bin/bash $STANSOFT_USER "
+ exit 1
+}
+
+# Bail if user and/or group isn't valid on your system
+if ! grep -q "^$STANSOFT_USER:" /etc/passwd; then
+ bailout
+elif ! grep -q "^$STANSOFT_GROUP:" /etc/group; then
+ bailout
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No flags/configure needed as it is just a binary repackaging,
+# but we will make sure the correct ARCH package is used.
+if [ "$ARCH" = "i586" ]; then
+ ARCH=x86
+elif [ "$ARCH" = "i686" ]; then
+ ARCH=x86
+elif [ "$ARCH" = "x86_64" ]; then
+ ARCH=$ARCH
+else
+ ARCH=x86_64
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt $OUTPUT
+cd $PKG/opt
+tar xvf $CWD/$PRGNAM-$VERSION-$ARCH.tar.bz2
+cd $PKG
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/business/stansoft/stansoft.info b/business/stansoft/stansoft.info
new file mode 100644
index 0000000000..5e02bdba2c
--- /dev/null
+++ b/business/stansoft/stansoft.info
@@ -0,0 +1,10 @@
+PRGNAM="stansoft"
+VERSION="7.4"
+HOMEPAGE="http://www.stansoft.org"
+DOWNLOAD="http://download.stansoft.org/files/stansoft-v7.4-x86.tar.bz2"
+MD5SUM="e56de42d1d793b3df4d8cbbc277ae46b"
+DOWNLOAD_x86_64="http://download.stansoft.org/files/stansoft-v7.4-x86_64.tar.bz2"
+MD5SUM_x86_64="df4ea808fce8724618f919edb9db0da4"
+REQUIRES=""
+MAINTAINER="Stansoft"
+EMAIL="info@stansoft.org"